Anyone used Imagine 5 and higher on the Amiga

Ask for help if you have problems with software or hardware and need help solving them.
Post Reply
fxgogo
Posts: 25
Joined: Sun Jan 19, 2020 11:18 pm

Anyone used Imagine 5 and higher on the Amiga

Post by fxgogo »

Hi all, I have installed a copy of Imagine 5.0, 5.1 & 5.13 on my WinUAE systems of a 1200 and 4000. I have never used anything bigger than V4.0 before and V5 just feels rather shabby. Is this a result of the versions we have not being final releases? When Impulse moved to the Constant Upgrade Program (CUP), it looked to me like it all was moving downhill.

Anyone got some experience of it from back in the day or present day?

Post Reply